<template>
  <div>
    <h2>Loading</h2>
    <div class="container-fluid">
      <div class="container-fluid">
        <h5>Com porcentagem</h5>
        <div class="row">
          <div class="col-1">
            <br-loading progress percent="0"></br-loading>
          </div>
          <div class="col-1">
            <br-loading progress percent="25"></br-loading>
          </div>
          <div class="col-1">
            <br-loading progress percent="50"></br-loading>
          </div>
          <div class="col-1">
            <br-loading progress percent="75"></br-loading>
          </div>
          <div class="col-1">
            <br-loading progress percent="100"></br-loading>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-auto">
            Simulação de mudança dinâmica da prop percent (incrementa 1% a cada 100 ms, retornando a 0% após chegar a
            100%):
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <br-loading id="real-time" progress percent="0"></br-loading>
          </div>
        </div>
      </div>

      <div class="container-fluid">
        <p class="h5 mt-5">Indeterminado médio</p>
        <div class="row">
          <div class="col-auto">
            <br-loading medium label="carregando..."></br-loading>
          </div>
        </div>
      </div>
      <div class="container-fluid">
        <p class="h5 mt-5">Indeterminado pequeno</p>
        <div class="row">
          <div class="col-auto">
            <br-loading label="carregando..."></br-loading>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
